Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class ExpressionContext

    java.lang.Object
      org.codehaus.aspectwerkz.expression.ExpressionContext

    public class ExpressionContext

extends Object

The expression context for AST evaluation.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static int` | `CLASS_INFO`
`static int` | `CONSTRUCTOR_INFO`
`static int` | `FIELD_INFO`
`static int` | `INFO_NOT_AVAILABLE`
`gnu.trove.TObjectIntHashMap` | `m_exprIndexToTargetIndex` Expression to advised target (method / ctor) argument index map.
`String` | `m_targetBoundedName` The variable name corresponding to the target(..) designator, or null if nothing is bound (target() or no target(..))
`boolean` | `m_targetWithRuntimeCheck` Set to true when we encounter a poincut using target(..) and when match cannot be done without a runtime check with instance of.
`String` | `m_thisBoundedName` The variable name corresponding to the this(..) designator, or null if nothing is bound (this() or no this(..))
`static int` | `METHOD_INFO`

Constructor Summary
`ExpressionContext(PointcutType pointcutType, ReflectionInfo reflectionInfo, ReflectionInfo withinReflectionInfo)` Creates a new expression context.

Method Summary
`boolean` | `equals(Object o)`
`boolean` | `getCflowEvaluation()`
`int` | `getCurrentTargetArgsIndex()`
`PointcutType` | `getPointcutType()`
`ReflectionInfo` | `getReflectionInfo()`
`ReflectionInfo` | `getWithinReflectionInfo()`
`boolean` | `hasBeenVisitingCflow()`
`boolean` | `hasCallPointcut()`
`boolean` | `hasClassInfo()`
`boolean` | `hasConstructorInfo()`
`boolean` | `hasExecutionPointcut()`
`boolean` | `hasFieldInfo()`
`boolean` | `hasGetPointcut()`
`boolean` | `hasHandlerPointcut()`
`int` | `hashCode()`
`boolean` | `hasMethodInfo()`
`boolean` | `hasReflectionInfo()`
`boolean` | `hasSetPointcut()`
`boolean` | `hasStaticInitializationPointcut()`
`boolean` | `hasWithinPointcut()`
`boolean` | `hasWithinReflectionInfo()`
`boolean` | `inCflowSubAST()`
`void` | `resetRuntimeState()`
`void` | `setCflowEvaluation(boolean cflowEvaluation)`
`void` | `setCurrentTargetArgsIndex(int argsIndex)`
`void` | `setHasBeenVisitingCflow(boolean hasBeenVisitingCflow)`
`void` | `setInCflowSubAST(boolean inCflowAST)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_NOT_AVAILABLE

    public static final int INFO_NOT_AVAILABLE

See Also:
  Constant Field Values

### METHOD_INFO

    public static final int METHOD_INFO

See Also:
  Constant Field Values

### CONSTRUCTOR_INFO

    public static final int CONSTRUCTOR_INFO

See Also:
  Constant Field Values

### FIELD_INFO

    public static final int FIELD_INFO

See Also:
  Constant Field Values

### CLASS_INFO

    public static final int CLASS_INFO

See Also:
  Constant Field Values

### m_exprIndexToTargetIndex

    public gnu.trove.TObjectIntHashMap m_exprIndexToTargetIndex

  Expression to advised target (method / ctor) argument index map. It depends on the matching context and the pointcut signature, as well as args(..)

### m_thisBoundedName

    public String m_thisBoundedName

  The variable name corresponding to the this(..) designator, or null if nothing is bound (this() or no this(..))

### m_targetBoundedName

    public String m_targetBoundedName

  The variable name corresponding to the target(..) designator, or null if nothing is bound (target() or no target(..))

### m_targetWithRuntimeCheck

    public boolean m_targetWithRuntimeCheck

  Set to true when we encounter a poincut using target(..) and when match cannot be done without a runtime check with instance of.

Constructor Detail

### ExpressionContext

    public ExpressionContext(PointcutType pointcutType,
                             ReflectionInfo reflectionInfo,
                             ReflectionInfo withinReflectionInfo)

  Creates a new expression context.

  Parameters:
    `pointcutType` -
    `reflectionInfo` - - can be null f.e. with early evaluation of CALL pointcut
    `withinReflectionInfo` -

Method Detail

### getReflectionInfo

    public ReflectionInfo getReflectionInfo()

### getWithinReflectionInfo

    public ReflectionInfo getWithinReflectionInfo()

### hasExecutionPointcut

    public boolean hasExecutionPointcut()

### hasCallPointcut

    public boolean hasCallPointcut()

### hasSetPointcut

    public boolean hasSetPointcut()

### hasGetPointcut

    public boolean hasGetPointcut()

### hasHandlerPointcut

    public boolean hasHandlerPointcut()

### hasStaticInitializationPointcut

    public boolean hasStaticInitializationPointcut()

### hasWithinPointcut

    public boolean hasWithinPointcut()

### hasWithinReflectionInfo

    public boolean hasWithinReflectionInfo()

### hasMethodInfo

    public boolean hasMethodInfo()

### hasConstructorInfo

    public boolean hasConstructorInfo()

### hasFieldInfo

    public boolean hasFieldInfo()

### hasClassInfo

    public boolean hasClassInfo()

### hasReflectionInfo

    public boolean hasReflectionInfo()

### setInCflowSubAST

    public void setInCflowSubAST(boolean inCflowAST)

### inCflowSubAST

    public boolean inCflowSubAST()

### setHasBeenVisitingCflow

    public void setHasBeenVisitingCflow(boolean hasBeenVisitingCflow)

### hasBeenVisitingCflow

    public boolean hasBeenVisitingCflow()

### getCflowEvaluation

    public boolean getCflowEvaluation()

### setCflowEvaluation

    public void setCflowEvaluation(boolean cflowEvaluation)

### getCurrentTargetArgsIndex

    public int getCurrentTargetArgsIndex()

### setCurrentTargetArgsIndex

    public void setCurrentTargetArgsIndex(int argsIndex)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getPointcutType

    public PointcutType getPointcutType()

### resetRuntimeState

    public void resetRuntimeState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.